Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v3.actual.common
Class AmppComponentKeyType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.actual.common.AmppComponentKeyType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultAmppComponentType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class AmppComponentKeyType

extends Object
implements Serializable

Java class for AmppComponentKeyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmppComponentKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="AmpcSequenceNr" type="{urn:be:fgov:ehealth:dics:core:v3:core}PositiveShortType" />
           <attribute name="SequenceNr" use="required" type="{urn:be:fgov:ehealth:dics:core:v3:core}PositiveShortType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AmppComponentKeyType()`

Method Summary
`Short` | `getAmpcSequenceNr()` Gets the value of the ampcSequenceNr property.
`short` | `getSequenceNr()` Gets the value of the sequenceNr property.
`void` | `setAmpcSequenceNr(Short value)` Sets the value of the ampcSequenceNr property.
`void` | `setSequenceNr(short value)` Sets the value of the sequenceNr property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmppComponentKeyType

    public AmppComponentKeyType()

Method Detail

### getAmpcSequenceNr

    public Short getAmpcSequenceNr()

  Gets the value of the ampcSequenceNr property.

  Returns:
    possible object is `Short`

### setAmpcSequenceNr

    public void setAmpcSequenceNr(Short value)

  Sets the value of the ampcSequenceNr property.

  Parameters:
    `value` - allowed object is `Short`

### getSequenceNr

    public short getSequenceNr()

  Gets the value of the sequenceNr property.

### setSequenceNr

    public void setSequenceNr(short value)

  Sets the value of the sequenceNr property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.